﻿body {
    padding-top: 70px;
    padding-bottom: 20px;
    
}

.container {
    margin-left: 2%;
    margin-right: 2%;

    /*--- 19/01/2022 for Big Screen Resolution */
    max-width: 96% !important;
}

h4 {
    color:#0093ff;
}

.navbar-fixed-bottom {
    padding: 10px;

    background-image: linear-gradient(#eee, #f9f2f2);
    box-shadow: 3px -5px 10px #888888;

    z-index:9999;
}


/* Set padding to keep content from hitting the edges */
.body-content {
    min-height: 60vh;
    margin-bottom: 100px;
}

footer {
    margin-bottom: 50px;
}

#LoadingDiv {
    position: fixed;
    top: 45%;
    left: 45%;
    z-index: 9999;
}

#AlertDiv {
    position: fixed;
    top: 40vh;
    left: 40vw;
    z-index: 999;
    margin: auto;
    background-color: #fff;
    border: 1px solid #8BC24A;
    box-shadow: 3px 5px 10px #8BC24A;
    font-weight: bold;
    padding: 20px;
}


.erroreDiv {
    border: 1px solid #e4151f;
    box-shadow: 3px 5px 10px #e4151f;
    font-weight: bold;
    padding: 10px;
}

.validation-summary-errors {
    border: 1px solid #e4151f;
    box-shadow: 3px 5px 10px #e4151f;
    font-weight: bold;
    padding: 10px;
    margin-bottom: 10px;
}

.messaggioDiv {
    position: fixed;
    top: 40vh;
    left: 40vw;
    z-index: 999;
    margin: auto;
    background-color: #fff;
    border: 1px solid #8BC24A;
    box-shadow: 3px 5px 10px #8BC24A;
    font-weight: bold;
    padding: 20px;
}


/* Override the default bootstrap behavior where horizontal description lists 
   will truncate terms that are too long to fit in the left column 
*/
.dl-horizontal dt {
    margin-right:3px;
}

.control-label-left {
    font-weight: normal;
    text-align:left;
}
 
.control-label {    
    font-weight:normal;
}
    
.buttonAddCalcola {
    padding-top:30px;
    border:0px solid red;
}

input,
select,
textarea {
    border: 1px solid #999 !important;
     
    -webkit-transition: 0.5s !important;
    transition: 0.5s !important;
}

    select:hover,
    input:hover,
    textarea:hover {
        border: 1px solid #555 !important;
        box-shadow: 1px 2px 4px #888888 !important;
    }


    input:focus,
    select:focus,
    textarea:focus {
        box-shadow: 1px 2px 4px #888888 !important;
    }

.multiselect-container {
    max-height: 300px !important;
    overflow-y: scroll !important;
}

.btn {
    /*
        padding: 10px;
    
    box-shadow: 1px 2px 5px #888888;
    */
    -webkit-transition: 0.5s;
    transition: 0.5s;
}

    .btn:hover {
        box-shadow: 5px 10px 18px #888888;
    }



.btn-tab {
    font-weight: bold;
    color: #fff;
    background-color: #97ccea;
    margin: 3px;
    border: 1px solid #85c4e8;

    box-shadow: 2px 3px 5px #888888;

    -webkit-transition: 0.5s;
    transition: 0.5s;
}

    .btn-tab:hover {
        box-shadow: 5px 10px 18px #888888;
    } 

.borderDiv {
    border:1px solid #000000;
    margin:3px;
    padding:3px;
}

.overlay {
    position: fixed; 
    display: none; 
    width: 100%; 
    height: 100%; 
    top: 0; 
    left: 0;
    right: 0;
    bottom: 0;
    padding:10px;
    padding-top:50px;
    
    background-color: #eee; 
    z-index: 2; 

    overflow:auto;
}

.datetimefield {

}

.moneyfield {
    min-width:100px;
}

.numberfield {

}

.mytextarea {
    min-height:300px;
}

.mytextareamin {
    min-height: 150px;
}


.overflow {
    /*overflow:auto;*/
}

.breadcrumbPosition {
    position:fixed;
}



.navbar {
    /*
    border-bottom: 1px solid #ccc;
    */
    height: 70px;
    background-color: #fff;
    box-shadow: 1px 2px 5px #888888;
}

.nav {
    margin:10px;
}

.navitem a {
    color: #000 !important;
}

.navitem a:hover {
    color:#000 !important;
}

.navbar-collapse {
    background-color: #fff;
    border:none;
    box-shadow:none;
}

.tableAnagraficaDiv {
    /*
    border:0px solid #000;
    padding:10px;
    */
}

.closeX {
    float:right;
    text-align:right;
}
.closeX a {
    font-size:1.5em;
    font-weight:bold;
}

.bold {
    font-weight:bold;
}

.popupWindow {
    display: none;
    position: fixed;
    padding: 15px;
    border: 1px solid #000000;
    /*box-shadow: 2px 2px 4px rgba(0, 0, 0, 0.81);*/
    box-shadow: 3px 5px 10px #8BC24A;
    background-color: #fff;
    width: auto;
    height: auto;
    margin: 15vh 5vw;
    top: 0;
    left: 0;
    right: 0;
    overflow: auto;
    z-index: 9999;
    height: 70vh;
    border-radius: 10px;
}

.popupMsg {
    display: none;
    position: fixed;
    padding: 15px;
    border: 1px solid #000000;
    /*box-shadow: 2px 2px 4px rgba(0, 0, 0, 0.81);*/
    box-shadow: 3px 5px 10px #8BC24A;
    background-color: #fff;
    margin: 20vh 20vw;
    top: 0;
    left: 0;
    right: 0;
    overflow: auto;
    z-index: 100;
}

.modal-dialog {
    width: auto;
    margin: auto;
    padding-bottom:100px;
}

.dl-horizontal dt {
    width: 400px;
}

.table {
    font-size: 0.95em;
}

.table th {
    white-space: nowrap;
}
.table td {
    white-space: nowrap;
}

.trWarning {
    background-color: #FFD5D5 !important;
}

.sticky {
    position: sticky;
    top: 70px;
    background-image: linear-gradient(#9ad1fb, #d4ebfc);
    z-index: 100;
}

.popupWindow .sticky {
    top: -18px;
}

.visible {
    display: block;
}

.hidden {
    display:none;
}

.newsTitle {
    border:0px solid #eee;
    margin:3px 0 3px 0;
}

.newsDesc {
    border:0px solid #eee;

}


/*** Note ***/
#NoteDiv {
    top: 10vh;
    left: 5vw;
    display: none;
    position: fixed;
    padding: 20px;
    border: 1px solid #000000;
    /*
    box-shadow: 2px 2px 4px rgba(0, 0, 0, 0.81);
        */
    box-shadow: 3px 5px 10px #8BC24A;
    border-radius: 10px;
    background-color: #fff;
    width: 90vw;
    height: 80vh;
    margin: auto;
    overflow: auto;
    z-index: 9999;
}

.popupNote {
    
}

#InputSendDiv {
    position:absolute;
    width:90%;
    bottom:5px;
}

#DiscussDiv {
    height:50vh;
    overflow:auto;
    border:1px solid #999;
    padding:3px;
}




.messageNoteDiv {
    /*
    padding: 10px;
    margin: 10px auto 10px 0px;
    background-color: #ddd;
    text-align: left;
    width: auto;
    max-width: 70%;
    border: 1px solid #ccc;
    border-radius: 5px;
    box-shadow: 2px 2px 2px #999;    
        */

    padding: 10px;
    margin: 10px auto 10px 0px;
    background-color: #ddd;
    color: #000;
    text-align: left;
    max-width: 70%;
    border: 1px solid #ccc;
    border-radius: 5px;
    box-shadow: 2px 2px 2px #999;
    float: left;
}

.messageNoteDivTipologiaAllegati {
    padding: 10px;
    margin: 10px auto 10px 0px;
    background-color: #eee;
    color: #555;
    text-align: left;
    max-width: 70%;
    border: 1px solid #ccc;
    border-radius: 5px;
    box-shadow: 2px 2px 2px #999;
    float: left;
}

.mymessageNoteDiv {
    padding: 10px;
    margin: 10px 0px 10px auto;
    background-color: #0066CC;
    color: #fff;
    text-align: left;
    max-width: 70%;
    border: 1px solid #ccc;
    border-radius: 5px;
    box-shadow: 2px 2px 2px #999;
    float: right;
}

.mymessageNoteDivTipologiaAllegati {
    padding: 10px;
    margin: 10px 0px 10px auto;
    background-color: #00AA99;
    color: #fff;
    text-align: left;
    max-width: 70%;
    border: 1px solid #ccc;
    border-radius: 5px;
    box-shadow: 2px 2px 2px #999;
    float: right;
}



.messageDaDiv {
    font-weight: bold;
    font-size: small;
}

.messageDataDiv {
    padding: 5px;
    margin: auto;
    color: #999;
    text-align: center;
    font-size: smaller;
}

/*
.messageNoteDiv {
    padding:3px;
    margin:3px;
}

.mymessageNoteDiv {
    padding:3px;
    margin:3px;
    background-color:#DCF8C6;
    text-align:right;
}

.messageDaDiv {
    font-weight:bold;
    font-size:small;
}

.messageDataDiv {
    font-size:smaller;
    text-align:center;
}
*/


.totMessaggiDaLeggereDiv {
    /*
    border-radius: 25px;
    padding: 3px;
    background-color: #ff0000;
    border: 0px solid #000;
        */
    text-align: left;
    color: red;
    font-weight: bold;
}

.totMessaggiDaLeggereAllegatiDiv {
    /*
    border-radius: 25px;
    padding: 3px;
    background-color: #ff0000;
    border: 0px solid #000;
        */
    text-align: left;
    color: red;
    font-weight: bold;
}

.chartImg {
    border-radius: 25px;
    height:65vh;
    margin:auto;
}

.arrowDown {
    font-size:1.4em;
    /*font-weight:bold;*/
}



.flagDiv {
    text-align: center;
    margin: 0 auto;
    display: block;
    width: 100px;
}

.flagDiv div {
    float:left;
    width:35px;    
}

checkboxLabel {
  overflow: hidden; 
  text-overflow: ellipsis;
  white-space: nowrap;
}


/*** Steps *********************************/
.checkout-broken {
    text-align: center;
}

    .checkout-broken .brokencheckout-title {
        color: #999;
        font-size: 13px
    }

    .checkout-broken .step {
        float: left;
        padding: 0 60px;
        position: relative
    }

    .checkout-broken .timeline {
        height: 0;
        width: 50%;
        position: absolute;
        top: 31%;
        z-index: -1;
        border: 1px solid #005387
    }

    .checkout-broken .timeline-r {
        right: 0
    }

    .checkout-broken .timeline-l {
        left: 0
    }

    .checkout-broken .step-text {
        border-radius: 50px;
        background-color: #fff;
        padding: 8px 10px 13px;
        height: 45px;
        width: 45px;
        display: inline-block;
        border: 2px solid #005387
    }

    .checkout-broken .step-desc {
        color: #005387;
        opacity: .5
    }

    .checkout-broken .current .step-text {
        background-color: #dbb038;
        color: #fff
    }

    .checkout-broken .current .step-desc {
        opacity: 1
    }

    .checkout-broken .completed .step-text {
        color: #fff;
        background: #1bbc9b;
        cursor: pointer;
        -webkit-transition: 0.5s;
        transition: 0.5s;
        border: 1px solid #005387
    }

/** Stop Steps ****************************/


.infoAssistenzaDiv {
    margin: 10px auto;
    width: 90vw;
    padding: 3px;
    border: 1px solid #999;
    box-shadow: 3px 5px 10px #8BC24A;
    background: radial-gradient(#bbf2c4, #e9f8ec);
}

    .infoAssistenzaDiv .titolo {
        padding: 3px;
        background: radial-gradient(#119924, #44d758);
        color: #fff;
        margin-bottom:5px;
    }




.panel {
    box-shadow: 1px 2px 4px #888888 !important;
    
    -webkit-transition: 0.5s !important;
    transition: 0.5s !important;
}

.panel:hover {
    box-shadow: 2px 4px 8px #888888 !important;
}

    .panel > .panel-heading {
        background-image: linear-gradient(#47a5da, #73c1ec);
        /*color: white;*/
        font-weight: bold;
    }

    .panel > .panel-body {
        /* background-image: linear-gradient(#eee, #f9f2f2); */
    }

.breadcrumb {
    margin-top: 10px;
    background-color: #ffffff;
}

    .breadcrumb .breadcrumbLi {
        background-color: #ffffff;
        color: #555555;
    }


label {
    color: #000000;
}

th, td {
    white-space: nowrap;
}

.form-control,
.check-box {
    border-color: #555555;
}


















@media screen and (max-width: 600px) {
    .navbar-collapse {
        background-color: #fff;
        border: 1px solid #ccc;
        box-shadow: 3px 5px 10px #8BC24A;
    }

    .myresponsive {
        overflow: auto;
    }

    .sticky {
        position: inherit;
        top: unset;
        background-color: #eee;
        z-index: unset;
    }

    .overflow {
        overflow: auto;
    }

    #DiscussDiv {
        height:40vh;
    }

    /*** Steps ************************/
    .checkout-broken .step {
        float: none;
        padding: 0 60px;
        position: relative
    }

    .step-desc {
        /*display: none*/
    }

    .checkout-broken .step {
        padding: 0 25px
    }

    .checkout-broken .timeline {
        top: 50%
    }
    /*** STop Steps *******************/

    .noMobileDiv {
        display:none;
    }
}